<?php
namespace SabaiApps\Directories\Component\Display\Button;

use SabaiApps\Directories\Component\Entity\Model\Bundle;
use SabaiApps\Directories\Component\Entity\Type\IEntity;

interface IButton {

	public function displayButtonInfo( Bundle $bundle, $key = null );
	public function displayButtonSettingsForm( Bundle $bundle, array $settings, $displayName, array $parents = array() );
	public function displayButtonLink( Bundle $bundle, IEntity $entity, array $settings, $displayName );
	public function displayButtonIsPreRenderable( Bundle $bundle, array $settings );
	public function displayButtonPreRender( Bundle $bundle, array $settings, array $entities = array() );
}
